Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.capabilities
Class GMLObject

    java.lang.Object
      org.deegree.ogcwebservices.wfs.capabilities.GMLObject

    public class GMLObject

extends Object

`GMLObject` encapsulate a gml object

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`GMLObject(QualifiedName name, String title, String abstract_, Keywords[] keywords, FormatType[] outputFormats)`

Method Summary
`String` | `getAbstract()`
`Keywords[]` | `getKeywords()`
`QualifiedName` | `getName()`
`FormatType[]` | `getOutputFormats()`
`String` | `getTitle()`
`void` | `setAbstract(String abstract_)`
`void` | `setKeywords(Keywords[] keywords)`
`void` | `setName(QualifiedName name)`
`void` | `setOutputFormats(FormatType[] outputFormats)`
`void` | `setTitle(String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GMLObject

    public GMLObject(QualifiedName name,
                     String title,
                     String abstract_,
                     Keywords[] keywords,
                     FormatType[] outputFormats)

Parameters:
  `name` - of the object
  `title` -
  `abstract_` -
  `keywords` -
  `outputFormats` -

Method Detail

### getAbstract

    public String getAbstract()

  Returns:
    Returns the abstract.

### setAbstract

    public void setAbstract(String abstract_)

  Parameters:
    `abstract_` - The abstract to set.

### getKeywords

    public Keywords[] getKeywords()

  Returns:
    Returns the keywords.

### setKeywords

    public void setKeywords(Keywords[] keywords)

  Parameters:
    `keywords` - The keywords to set.

### getName

    public QualifiedName getName()

  Returns:
    Returns the name.

### setName

    public void setName(QualifiedName name)

  Parameters:
    `name` - The name to set.

### getOutputFormats

    public FormatType[] getOutputFormats()

  Returns:
    Returns the outputFormats.

### setOutputFormats

    public void setOutputFormats(FormatType[] outputFormats)

  Parameters:
    `outputFormats` - The outputFormats to set.

### getTitle

    public String getTitle()

  Returns:
    Returns the title.

### setTitle

    public void setTitle(String title)

  Parameters:
    `title` - The title to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org